# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosCouplings clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TrilinosCouplings requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.17.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

set(TrilinosCouplings_CXX_COMPILER "D:/a/msys64/clang64/bin/clang++.exe")

set(TrilinosCouplings_C_COMPILER "D:/a/msys64/clang64/bin/clang.exe")

set(TrilinosCouplings_Fortran_COMPILER "D:/a/msys64/clang64/bin/flang.exe")
# Deprecated!
set(TrilinosCouplings_FORTRAN_COMPILER "D:/a/msys64/clang64/bin/flang.exe") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosCouplings_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TrilinosCouplings_CXX_FLAGS [[ ]])

set(TrilinosCouplings_C_FLAGS [[-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong ]])

set(TrilinosCouplings_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosCouplings_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosCouplings_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosCouplings_SHARED_LIB_RPATH_COMMAND "/clang64/lib")
set(TrilinosCouplings_BUILD_SHARED_LIBS "ON")

set(TrilinosCouplings_LINKER D:/a/msys64/clang64/bin/ld.lld.exe)
set(TrilinosCouplings_AR D:/a/msys64/clang64/bin/llvm-ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosCouplings_INSTALL_DIR "/clang64")

## List of package libraries
set(TrilinosCouplings_LIBRARIES TrilinosCouplings::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosCouplings_MPI_LIBRARIES "")
set(TrilinosCouplings_MPI_LIBRARY_DIRS "")
set(TrilinosCouplings_MPI_INCLUDE_DIRS "")
set(TrilinosCouplings_MPI_EXEC "")
set(TrilinosCouplings_MPI_EXEC_MAX_NUMPROCS "")
set(TrilinosCouplings_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(TrilinosCouplings_ENABLE_Amesos OFF)
set(TrilinosCouplings_ENABLE_AztecOO OFF)
set(TrilinosCouplings_ENABLE_Belos OFF)
set(TrilinosCouplings_ENABLE_EpetraExt OFF)
set(TrilinosCouplings_ENABLE_Ifpack OFF)
set(TrilinosCouplings_ENABLE_Isorropia OFF)
set(TrilinosCouplings_ENABLE_ML ON)
set(TrilinosCouplings_ENABLE_MueLu OFF)
set(TrilinosCouplings_ENABLE_NOX OFF)
set(TrilinosCouplings_ENABLE_Stokhos OFF)
set(TrilinosCouplings_ENABLE_Zoltan OFF)

# Exported cache variables
set(TrilinosCouplings_ENABLE_Newp_swahili "OFF")
set(HAVE_NEWP_SWAHILI "OFF")
set(TrilinosCouplings_ENABLE_ML_Nox "OFF")
set(HAVE_ML_NOX "OFF")

# Include configuration of dependent packages
if (NOT TARGET ML::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../ML/MLConfig.cmake")
endif()

# Import TrilinosCouplings targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosCouplingsTargets.cmake")

## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES "trilinoscouplings")

foreach(libname IN LISTS TrilinosCouplings_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TrilinosCouplings::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TrilinosCouplings::${libname}', or better yet,"
      " 'TrilinosCouplings::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TrilinosCouplings'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TrilinosCouplings_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
